<h4>Add a vehicule to the database</h4>
<br>
<div>
  <form class="form-inline">

    <div class="form-group">
      <input name="group1" type="radio" id="radio11" checked="checked" (click)="toggleBook()">
      <label>Book</label>
    </div>

  </form>
</div>

<div class="container">
  <form (submit)="onSubmitBook()" #addBookForm="ngForm">
    <div class="md-form">
      <input required minlength="5" maxlength="40" pattern="[a-zA-Z0-9-.# ]*" #model="ngModel" type="text" id="defaultForm-title"
             class="form-control" mdbActive [(ngModel)]="book.title" name="model">
      <label [class.active]="book.title && book.title.length > 0" for="defaultForm-title">Title</label>
    </div>
    <div class="alert alert-danger" *ngIf="model.touched && !model.valid">
      <div *ngIf="model.errors.required">
        The title is required.
      </div>
      <div *ngIf="model.errors.minlength && !model.errors.pattern">
        The title should be at least 5 characters.
      </div>
      <div *ngIf="model.errors.pattern">
        Invalid character specified.
      </div>
    </div>

    <div class="md-form">
      <input required minlength="9" pattern="[A-Z0-9- ]*" #author="ngModel" type="text" id="defaultForm-author"
             class="form-control" mdbActive [(ngModel)]="book.author" name="p_number">
      <label [class.active]="book.author && book.author.length > 0" for="defaultForm-author">Author</label>
    </div>
    <div class="alert alert-danger" *ngIf="author.touched && !author.valid">
      <div *ngIf="author.errors.required">
        The author is required.
      </div>
      <div *ngIf="author.errors.minlength && !author.errors.pattern">
        The author should be at least 9 characters.
      </div>
      <div *ngIf="author.errors.pattern">
        Invalid character detected.
      </div>
    </div>

    <div class="md-form">
      <input required #chategory="ngModel" type="text" min="2" max="20" id="defaultForm-chategory" class="form-control" mdbActive [(ngModel)]="book.chategory"
             name="seats">
      <label [class.active]="book.chategory && book.chategory.length !== null" for="defaultForm-chategory">Chategory</label>
    </div>
    <div class="alert alert-danger" *ngIf="book.chategory && !book.chategory">
      <div *ngIf="book.chategory.required">
        The chategory is required.
      </div>
    </div>

    <div class="md-form">
      <input required #prolog="ngModel" type="text" max="200" id="defaultForm-prolog" class="form-control" mdbActive [(ngModel)]="book.prolog"
             name="seats">
      <label [class.active]="book.prolog && book.prolog.length !== null" for="defaultForm-prolog">Prolog</label>
    </div>
    <div class="alert alert-danger" *ngIf="book.prolog && !book.prolog">
      <div *ngIf="book.prolog.required">
        The prolog is required.
      </div>
    </div>

    <div class="md-form">
      <input required #prolog="ngModel" type="text" max="5000" id="defaultForm-content" class="form-control" mdbActive [(ngModel)]="book.content"
             name="seats">
      <label [class.active]="book.content && book.content.length !== null" for="defaultForm-content">Content</label>
    </div>
    <div class="alert alert-danger" *ngIf="book.content && !book.content">
      <div *ngIf="book.content.required">
        The content is required.
      </div>
    </div>

    <div class="md-form">
      <input required #price="ngModel" type="number" min="1" step="any" id="defaultForm-price" class="form-control" mdbActive [(ngModel)]="book.price"
             name="price">
      <label [class.active]="book.price && book.price.length !== null" for="defaultForm-price">Price</label>
    </div>
    <div class="alert alert-danger" *ngIf="price.touched && !price.valid">
      <div *ngIf="price.errors.required">
        The price is required.
      </div>
    </div>

    <div class="text-justify">
      <button class="btn btn-success" mdbRippleRadius [disabled]="!addBookForm.valid">Add</button>
    </div>
  </form>
</div>


<div mdbModal #carBadInput="mdb-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title w-100" id="myModalLabel">Error</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="bookBadInput.hide()">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{errorMessage}}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger btn-sm waves-light" data-dismiss="modal" (click)="bookBadInput.hide()" mdbRippleRadius>OK</button>
        <button type="button" class="btn btn-elegant btn-sm waves-light" data-dismiss="modal" (click)="bookBadInput.hide()" mdbRippleRadius>Cancel</button>
      </div>
    </div>
  </div>
</div>
